This is an automated email from the git hooks/post-receive script.

ecsv-guest pushed a commit to branch master
in repository mupen64plus.

commit 1f7059d05f33cb9a500527b85f641bfbd26b05dd
Author: Sven Eckelmann <[email protected]>
Date:   Wed Jun 3 16:14:03 2009 +0200

    Add debian/prune-tarball.sh to make tarball dfsg clean
---
 debian/changelog        |  4 +++-
 debian/prune-tarball.sh | 30 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 812893b..cc99281 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
-mupen64plus (1.5-3) UNRELEASED; urgency=low
+mupen64plus (1.5+dfsg1-1) UNRELEASED; urgency=low
 
   [ Sven Eckelmann ]
+  * Remove not dfsg clean files from tarball
+  * Add debian/prune-tarball.sh to make tarball dfsg clean
   * Remove README.Debian without real content
   * Remove example files in debian/
   * Enable pristine-tar for orig.tar.gz
diff --git a/debian/prune-tarball.sh b/debian/prune-tarball.sh
new file mode 100755
index 0000000..c938bbc
--- /dev/null
+++ b/debian/prune-tarball.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+set -e
+
+if [ ! -r "$1" ]; then
+       echo >&2 "E: need an existing tarball as the first argument."
+       exit 1
+fi
+
+TMP="`mktemp -d -t`"
+MANIFEST="`mktemp -t`"
+TMP_TAR="`mktemp -t`"
+TARBALL="`basename $1`"
+trap "rm -rf $TMP; rm -f $TMP_TAR; rm -f $TM_TAR.gz; rm -f $MANIFEST" 0
+
+tar pxCf "$TMP" "$1"
+(
+       # filter non dfsg files
+       tar tf "$1"|sed 's/^\.*\/*//' \
+            |egrep -v "^[^/]+/glN64(/.*)?$" \
+            |egrep -v "^[^/]+/config/glN64.conf$" \
+            |egrep -v "^[^/]+/glide64/icons(/.*)?$" \
+            |egrep -v "^[^/]+/roms/mupen64plus.v64.gz$" \
+            > "$MANIFEST"
+
+       cd "$TMP"
+       tar cf "$TMP_TAR" --owner 0 --group 0 --numeric-owner --files-from 
"$MANIFEST" --no-recursion
+       gzip -n -m -f "$TMP_TAR"
+)
+mv "$TMP_TAR".gz "$1.dfsg"
+echo "Created $1.dfsg"

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-games/mupen64plus.git

_______________________________________________
Pkg-games-commits mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-games-commits

Reply via email to